import { Link } from "wouter";

const Footer = () => {
  return (
    <footer className="bg-secondary text-white">
      <div className="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8 py-12">
        <div className="grid grid-cols-1 md:grid-cols-4 gap-8">
          <div>
            <h3 className="text-lg font-bold mb-4">À propos de Gwadacoin</h3>
            <ul className="space-y-2">
              <li><Link href="/about" className="hover:text-primary">Qui sommes-nous ?</Link></li>
              <li><Link href="/jobs" className="hover:text-primary">Nous rejoindre</Link></li>
              <li><Link href="/impact" className="hover:text-primary">Impact environnemental</Link></li>
              <li><Link href="/pro" className="hover:text-primary">Gwadacoin Pro</Link></li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-lg font-bold mb-4">Informations légales</h3>
            <ul className="space-y-2">
              <li><Link href="/terms" className="hover:text-primary">Conditions générales d'utilisation</Link></li>
              <li><Link href="/rules" className="hover:text-primary">Règles de diffusion</Link></li>
              <li><Link href="/privacy" className="hover:text-primary">Politique de confidentialité</Link></li>
              <li><Link href="/cookies" className="hover:text-primary">Cookies</Link></li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-lg font-bold mb-4">Aide et contact</h3>
            <ul className="space-y-2">
              <li><Link href="/help" className="hover:text-primary">Centre d'aide</Link></li>
              <li><Link href="/contact" className="hover:text-primary">Nous contacter</Link></li>
              <li><Link href="/report" className="hover:text-primary">Signaler un abus</Link></li>
              <li><Link href="/safety" className="hover:text-primary">Conseils de sécurité</Link></li>
            </ul>
          </div>
          
          <div>
            <h3 className="text-lg font-bold mb-4">Suivez-nous</h3>
            <div className="flex space-x-4 mb-4">
              <a href="#" className="text-2xl hover:text-primary" aria-label="Facebook"><i className="fab fa-facebook"></i></a>
              <a href="#" className="text-2xl hover:text-primary" aria-label="Instagram"><i className="fab fa-instagram"></i></a>
              <a href="#" className="text-2xl hover:text-primary" aria-label="Twitter"><i className="fab fa-twitter"></i></a>
              <a href="#" className="text-2xl hover:text-primary" aria-label="YouTube"><i className="fab fa-youtube"></i></a>
            </div>
            <h3 className="text-lg font-bold mb-2">Newsletter</h3>
            <div className="flex">
              <input 
                type="email" 
                placeholder="Votre email" 
                className="px-3 py-2 bg-gray-700 text-white rounded-l-md focus:outline-none flex-1"
                aria-label="Adresse email pour la newsletter"
              />
              <button className="bg-primary hover:bg-primary/90 text-white px-4 py-2 rounded-r-md">
                OK
              </button>
            </div>
          </div>
        </div>
        
        <div className="mt-12 pt-8 border-t border-gray-700 text-center text-sm">
          <p>© {new Date().getFullYear()} Gwadacoin - Petites annonces en Guadeloupe - Tous droits réservés</p>
        </div>
      </div>
    </footer>
  );
};

export default Footer;
